QGIS Application - Feature request #16127
Add new parameter types and options for processing scripts
2017-01-29 08:12 AM - R. R.

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 24039
Description

Radio buttons:

##Radio_buttons=radio Value 1/Value 2/Value 3

Drop-down list:

##Drop-down_list=drop Value 1/Value 2/Value 3

Using fields (number, string) without providing a value and an option to use placeholders would also be great.

History

#1-2017-01-29 11:57 AM - R. R.

EDIT: Drop-down lists are already implemented:

units=selection sq_km;sq_miles;sq_degrees

https://docs.qgis.org/2.14/en/docs/user _manual/processing/scripts.html

#2 - 2017-04-21 11:59 AM - R. R.

Multiple tables:

##Input_layers=multiple table

#3 - 2017-04-21 12:06 PM - R. R.

CSV:

##Input_layer=csv
https://docs.qgis.org/2.14/en/docs/user_manual/processing/scripts.html

Multiple CSV:

##Input_layers=multiple csv

#4 - 2017-05-01 12:44 AM - Giovanni Manghi
- Easy fix? set to No

#5 - 2018-02-08 10:37 AM - Alexander Bruy
- Resolution set to fixed/implemented
- Description updated

- Status changed from Open to Closed

Now scripts use same syntax as qgis algorithms.
